## com.baidubce.services.bos.model
Class GetBucketAclRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GetBucketAclRequest

    public class GetBucketAclRequest

extends GenericBucketRequest

Request object containing all the options for requesting a bucket's Access Control List (ACL).

Constructor Summary
`GetBucketAclRequest(String bucketName)` Constructs a new GetBucketAclRequest object, ready to retrieve the ACL for the specified bucket when executed.

Method Summary
`GetBucketAclRequest` `withBucketName(String bucketName)`
`GetBucketAclRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBucketAclRequest

    public GetBucketAclRequest(String bucketName)

  Constructs a new GetBucketAclRequest object, ready to retrieve the ACL for the specified bucket when executed.

  Parameters:
    `bucketName` - The name of the bucket whose ACL will be retrieved by this request when executed.

Method Detail

### withRequestCredentials

    public GetBucketAclRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public GetBucketAclRequest withBucketName(String bucketName)

  Specified by:
    `withBucketName` in class `GenericBucketRequest`

Copyright © 2016. All rights reserved.